Bug 499215 - anaconda exits on virtio install
anaconda exits on virtio install
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 12:06 EDT by Pierre Ossman
Modified: 2009-09-09 08:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 08:05:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot (26.36 KB, image/png)
2009-05-05 17:41 EDT, Pierre Ossman
no flags Details

  None (edit)
Description Pierre Ossman 2009-05-05 12:06:18 EDT
There are two sed expressions in grub-install that haven't been updated to handle virtio disks (/dev/vd*). The version in rawhide has the fix though so all that is needed is to push that update to F10.

Anaconda crashes during the final stages of installation, probably because of this (included screen shot). A respin of the installation media would be nice.
Comment 1 Peter Jones 2009-05-05 14:47:21 EDT
The screenshot doesn't appear to have been attached.
This probably isn't why anaconda is giving a traceback; it doesn't call grub-install.  Regardless of that, we don't do installation media respins.
Comment 2 Pierre Ossman 2009-05-05 17:41:10 EDT
Created attachment 342539 [details]
screen shot

I wonder where that went... Oh well, attempt #2.

And it seems you are right. I fixed up grub-install as anaconda was installing packages, and it still crashed the same way.
Comment 3 Chris Lumens 2009-05-08 09:07:01 EDT
Could you please retest with a prerelease of F11?  There have been significant changes to the storage and bootloader sections of anaconda which makes it very difficult to determine whether or not your bug still exists.  Thanks.
Comment 4 Joel Andres Granados 2009-09-09 08:05:14 EDT
Its been a long time since this bug has been addressed.  Having reached f12 alpha, it probably has been fixed.  Feel free to reopen this issue if you continue to see this behavior.

Note You need to log in before you can comment on or make changes to this bug.